function [pos,largo] = separarPalabras(texto,separadores)
  
  n = length(texto);

  pos=[];
  largo=[];
  
  if n==1 && ~esSeparador(texto(1), separadores);
    pos=[1];
    largo=[1];
  elseif n > 1
    % consumo el texto desde el último hasta el primer caracter
    [pos,largo]=separarPalabras(texto(1:n-1),separadores);

    ult_sep = esSeparador(texto(n), separadores);
    penult_sep = esSeparador(texto(n-1), separadores);

    if ~penult_sep && ~ult_sep % continúa la última palabra
      ll=length(largo);
      largo(ll)=largo(ll)+1;
    elseif penult_sep && ~ult_sep % comienza una nueva palabra
      largo=[largo,1];
      pos=[pos,n];
    end 
    % los otros dos casos son cuando 
    % comienza o continúa una secuencia de separadores
    % (no es necesario hacer nada)
  end

endfunction