%% esCamino: recibe una matriz de nx2 y devuelve 1 si el camino es válido
function valido = esCamino(camino, tablero)

	n=size(camino,1);

	if n == 0
		valido=0;
	elseif n == 1 
		valido = posEsValida(camino(1,1),camino(1,2),tablero);
	else
		valido = posEsValida(camino(1,1),camino(1,2),tablero) && ...
				 esMovimientoCaballo(camino(1,1),camino(1,2),camino(2,1),camino(2,2)) && ...
				 esCamino(camino(2:n,:), tablero);
	end
end